<h1>List of persons</h1>

<div class="row g-3">

    <div *ngFor="let person of persons" class="col-6 col-md-3">

        <div class="card">
            <div class="card-body">
                <h5 class="card-title">{{person.firstName}} {{person.name}}</h5>
                <p class="card-text">Birthdate : {{person.birthdate|date}}</p>
                <button (click)="fetchPerson(person.id)" class="btn btn-primary">Select</button>
            </div>
        </div>

    </div>


</div>


<app-person-modal [person]="selected"></app-person-modal>